<?php
namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Response;
use App\Utils\Utils;

class CheckController extends Controller
{
    private $utils;

    public function __construct(Utils $utils) {
        $this->utils = $utils;
    }

    public function checkAction($type)
    {
        $response = new Response();
        $response->setStatusCode(200);
        switch ($type) {
            case "online":
                return $response;
            break;
            case "mgmt":
                $response->setStatusCode($this->_checkMgmtAction());
                return $response;
            break;
            default:
                return $response;
            break;
        }
    }

    private function _checkMgmtAction()
    {
        $result = $this->utils->checkManagementRunning(false);
        if (!$result) {
            // not running or currently executing a command
            return 500;
        } else {
            // running and doing nothing
            return 200;
        }
    }
}